% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hellmer-core.R
\name{capture_with_retry}
\alias{capture_with_retry}
\title{Capture chat model response with proper handling and retries}
\usage{
capture_with_retry(
  original_chat,
  prompt,
  type_spec = NULL,
  echo = "text",
  max_retries = 3L,
  initial_delay = 1,
  max_delay = 32,
  backoff_factor = 2,
  timeout = 60
)
}
\arguments{
\item{original_chat}{Original chat model object}

\item{prompt}{Prompt text}

\item{type_spec}{Type specification for structured data}

\item{echo}{Echo level ("none", "text", "all")}

\item{max_retries}{Maximum number of retry attempts}

\item{initial_delay}{Initial delay in seconds before first retry}

\item{max_delay}{Maximum delay in seconds between retries}

\item{backoff_factor}{Factor to multiply delay by after each retry}
}
\value{
List containing response information
}
\description{
Capture chat model response with proper handling and retries
}
\keyword{internal}
